New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

jumpserver0.4版本tail cat 等查看日志文件,直接卡死!!!!!! #841

Closed
awangcn opened this Issue Dec 5, 2017 · 3 comments

Comments

Projects
None yet
3 participants
@awangcn

awangcn commented Dec 5, 2017

[简述你的问题]

使用版本

Jumpserver0.4.0

问题复现步骤

使用tail 命令查看日志的时候,直接就卡死了,ctrol+c 就无法终止,只能重新打开xshell才行,通过jumpserver登录的机器都存在这个问题,之前2.0正常

具体表现[截图可能会更好些,最好能截全]

jumpserver 4

其他
AttributeError: Got AttributeError when attempting to get a value for field `proxy_log_id` on serializer `CommandLogSerializer`.
The serializer field might be named incorrectly and not match any attribute or key on the `NoneType` instance.
Original exception text was: 'NoneType' object has no attribute 'proxy_log_id'.
2017-12-05 13:22:47 [basehttp ERROR] "POST /api/audits/v1/command-log/ HTTP/1.1" 500 22091
2017-12-05 13:22:48 [basehttp INFO] "POST /api/applications/v1/terminal/heatbeat/ HTTP/1.1" 201 28
2017-12-05 13:22:48 [exception ERROR] Internal Server Error: /api/audits/v1/command-log/
Traceback (most recent call last):
  File "/rgec/app/python-vm/lib/python3.6/site-packages/rest_framework/fields.py", line 441, in get_attribute
    return get_attribute(instance, self.source_attrs)
  File "/rgec/app/python-vm/lib/python3.6/site-packages/rest_framework/fields.py", line 100, in get_attribute
    instance = getattr(instance, attr)
AttributeError: 'NoneType' object has no attribute 'proxy_log_id'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/rgec/app/python-vm/lib/python3.6/site-packages/django/core/handlers/exception.py", line 41, in inner
    response = get_response(request)
  File "/rgec/app/python-vm/lib/python3.6/site-packages/django/core/handlers/base.py", line 187, in _get_response
    response = self.process_exception_by_middleware(e, request)
  File "/rgec/app/python-vm/lib/python3.6/site-packages/django/core/handlers/base.py", line 185, in _get_response
    response = wrapped_callback(request, *callback_args, **callback_kwargs)
  File "/usr/local/lib/python3.6/contextlib.py", line 53, in inner
    return func(*args, **kwds)
  File "/rgec/app/python-vm/lib/python3.6/site-packages/django/views/decorators/csrf.py", line 58, in wrapped_view
    return view_func(*args, **kwargs)
  File "/rgec/app/python-vm/lib/python3.6/site-packages/rest_framework/viewsets.py", line 90, in view
    return self.dispatch(request, *args, **kwargs)
  File "/rgec/app/python-vm/lib/python3.6/site-packages/rest_framework/views.py", line 489, in dispatch
    response = self.handle_exception(exc)
  File "/rgec/app/python-vm/lib/python3.6/site-packages/rest_framework/views.py", line 449, in handle_exception
    self.raise_uncaught_exception(exc)
  File "/rgec/app/python-vm/lib/python3.6/site-packages/rest_framework/views.py", line 486, in dispatch
    response = handler(request, *args, **kwargs)
  File "/rgec/app/python-vm/lib/python3.6/site-packages/rest_framework_bulk/drf3/mixins.py", line 35, in create
    return Response(serializer.data, status=status.HTTP_201_CREATED)
  File "/rgec/app/python-vm/lib/python3.6/site-packages/rest_framework/serializers.py", line 738, in data
    ret = super(ListSerializer, self).data
  File "/rgec/app/python-vm/lib/python3.6/site-packages/rest_framework/serializers.py", line 262, in data
    self._data = self.to_representation(self.instance)
  File "/rgec/app/python-vm/lib/python3.6/site-packages/rest_framework/serializers.py", line 656, in to_representation
    self.child.to_representation(item) for item in iterable
  File "/rgec/app/python-vm/lib/python3.6/site-packages/rest_framework/serializers.py", line 656, in <listcomp>
    self.child.to_representation(item) for item in iterable
  File "/rgec/app/python-vm/lib/python3.6/site-packages/rest_framework/serializers.py", line 487, in to_representation
    attribute = field.get_attribute(instance)
  File "/rgec/app/python-vm/lib/python3.6/site-packages/rest_framework/fields.py", line 462, in get_attribute
    raise type(exc)(msg)
AttributeError: Got AttributeError when attempting to get a value for field `proxy_log_id` on serializer `CommandLogSerializer`.
The serializer field might be named incorrectly and not match any attribute or key on the `NoneType` instance.
Original exception text was: 'NoneType' object has no attribute 'proxy_log_id'.

[注:] 完成后请关闭 issue

@awangcn

This comment has been minimized.

Show comment
Hide comment
@awangcn

awangcn Dec 5, 2017

偶尔还会出现2222端口自动关闭了,也就是coco自动关闭

awangcn commented Dec 5, 2017

偶尔还会出现2222端口自动关闭了,也就是coco自动关闭

@topicgit

This comment has been minimized.

Show comment
Hide comment
@topicgit

topicgit Dec 21, 2017

同学,你的4.0是咋搭建的

topicgit commented Dec 21, 2017

同学,你的4.0是咋搭建的

@ibuler

This comment has been minimized.

Show comment
Hide comment
@ibuler

ibuler Jan 9, 2018

Member

请测试新版本是否还有该问题

Member

ibuler commented Jan 9, 2018

请测试新版本是否还有该问题

@ibuler ibuler closed this Jan 9, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment